Bug 249719 - Package description seems wrong
Summary: Package description seems wrong
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Hugh Brock
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-26 17:09 UTC by Steve Bonneville
Modified: 2009-12-14 21:11 UTC (History)
1 user (show)

Fixed In Version: RHEA-2007-0635
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:11:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0635 normal SHIPPED_LIVE xen enhancement update 2007-10-30 15:49:02 UTC

Description Steve Bonneville 2007-07-26 17:09:33 UTC
Description of problem:

The xen RPM %{DESCRIPTION} for xen claims the hypervisor is included in the RPM,
but doesn't the hypervisor actually ship in kernel-xen?

Paragraph 1 CURRENTLY READS:
This package contains the Xen hypervisor and Xen tools, needed to
run virtual machines on x86 systems, together with the kernel-xen*
packages.  Information on how to use Xen can be found at the Xen
project pages.

SHOULD READ:
This package contains Xen utilities needed by the Xen hypervisor
in the kernel-xen* packages to run virtual machines on x86 systems.
Information on how to use Xen can be found at the Xen project pages.

Version-Release number of selected component (if applicable):
xen-3.0.3-25.0.3.el5

Comment 3 Hugh Brock 2007-08-16 14:27:57 UTC
The complete %description should read:

%description
This package contains the Xen tools and management daemons needed 
to run virtual machines on x86, x86_64, and ia64 systems. 
Information on how to use Xen can be found at the Xen project pages.

The Xen system also requires the Xen hypervisor and domain-0 
kernel, which can be found in the kernel-xen* package.

Virtualization can be used to run multiple operating systems on one
physical system, for purposes of hardware consolidation, hardware
abstraction, or to test untrusted applications in a sandboxed 
environment.

Comment 5 Daniel Berrange 2007-08-17 00:29:33 UTC
Built new RPM with fix

* Thu Aug 16 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-36.el5
- Update package description to better reflect reality (rhbz #249719)



Comment 8 errata-xmlrpc 2007-11-07 17:11:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0635.html



Note You need to log in before you can comment on or make changes to this bug.